Bug 811396 - bogus dependency "linux-firmware"
bogus dependency "linux-firmware"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 17:44 EDT by Harald Reindl
Modified: 2012-04-11 05:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 20:19:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2012-04-10 17:44:54 EDT
Package kernel-3.3.1-2.fc16.x86_64 requires linux-firmware >= ('0', '20120206', '0.1.git06c8f81')
Package kernel-3.2.10-3.fc16.x86_64 requires linux-firmware >= ('0', '20120206', '0.1.git06c8f81')

can we please have removed this dependency?
virtual servers are perfectly happy without

found this by try to remove the package where yum did
not complain about deps, stress-testet some server and
removed the package finally from all installations

i found this warning only by randomly "package-cleanup --problems"
Comment 1 Josh Boyer 2012-04-10 20:19:14 EDT
(In reply to comment #0)
> Package kernel-3.3.1-2.fc16.x86_64 requires linux-firmware >= ('0', '20120206',
> '0.1.git06c8f81')
> Package kernel-3.2.10-3.fc16.x86_64 requires linux-firmware >= ('0',
> '20120206', '0.1.git06c8f81')
> 
> can we please have removed this dependency?

No.  It's not bogus.

> virtual servers are perfectly happy without

That might be true, but the bnx2 and bnx2x drivers that come in the 3.2 and newer kernels require the firmware in the version of linux-firmware specified.  Without it, they don't work.

Also, the firmware for the newly open sourced ATI drivers is contained in there and would be required for anyone using one of those cards.
Comment 2 Harald Reindl 2012-04-11 05:40:26 EDT
ok, solved it with a meta-package

[root@buildserver:~]$ cat /rpmbuild/SPECS/linux-firmware-dummy.spec 
%global checkout 06c8f81

Summary:   metapackage to satisfy kernel-dependencies on vmware-servers
Name:      linux-firmware-dummy
Version:   20120206
Release:   0.1.git%{checkout}%{?dist}
BuildArch: noarch
Group:     System Environment/Libraries
URL:       http://www.thelounge.net/
License:   GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:  linux-firmware = %{version}
Provides:  kernel-firmware = %{version}

%description
metapackage to satisfy kernel-dependencies on vmware-servers

%install
rm -rf ${RPM_BUILD_ROOT}

%files

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Wed Apr 11 2012 Reindl Harald <h.reindl@thelounge.net>
- initial build

Note You need to log in before you can comment on or make changes to this bug.